#include <iostream>
#include <math.h>

using namespace std;

int duzina(int n)
{
    if(n>0)
        return 1+duzina(n/10);
}


int main()
{
    int x, y, pom=0, n;
    cin >> x >> y;

    n=duzina(max(x,y));

    for(int i=0; i<n; i++)
    {
        if(x>0 && y>0){
            if(x%10 > y%10)
                pom=x%10*pow(10,i)+pom;
            else if(x%10 < y%10)
                pom=y%10*pow(10,i)+pom;
            else{
                pom=x%10*pow(10,i+1)+x%10*pow(10,i)+pom;
                n++;
                i++;

            }
            x=x/10;
            y=y/10;
        }
        else{
            if(x>0){
                pom=x%10*pow(10,i)+pom;
                x=x/10;
            }
            else{
                pom=y%10*pow(10,i)+pom;
                y=y/10;
            }
        }
    }

    cout << pom << endl;
    return 0;
}